
<div class="card podoc-header">
  <h2>Fichier de signature CMS</h2>
</div>
  
<div class="card podoc-content">
 <div class="card-body">
  <p>Vous pouvez l'utiliser pour vérifier que le fichier original n'a pas été modifié depuis la signature</p>
  <p>pour ce faire : 
    <ul>
      <li>téléchargez <a href="<?php echo $this->URL2; ?>">ce fichier de signature</a></li>
      <li>téléchargez le fichier original</li>
   </ul></p>
  <p>
    Puis vérifiez la signature en utilisant le site suivant :
    <ul>
      <li><a href="/vrf/VerifCMS" target="_blank">http://<?php echo $_SERVER['SERVER_NAME']; ?>/vrf/VerifCMS</a></li>
    </ul>
  </p>
   <p>
    Vous pourrez faire manuellement la vérification en utilisant OpenSSL de la manière suivante :
    <ul>
      <li>téléchargez et installez le logiciel de cryptographie <a href="<?php echo $this->URL1; ?>" target="_blank">OpenSSL</a></li>
      <li>puis utilisez OpenSSL avec les commandes suivantes :</li>
    </ul>
<pre class="vizpre">
 openssl cms -verify -binary -inform PEM -in fichier_signature.cms -content fichier_original.xyz -noverify > /dev/null
 openssl cms -cmsout -in fichier_signature.cms -inform PEM -print
</pre>      
  </p>
</div>
</div>

